import { ElementRef, Renderer } from '@angular/core';
export declare class Typography {
    private _elementRef;
    private _renderer;
    _color: string;
    color: string;
    constructor(_elementRef: ElementRef, _renderer: Renderer);
    _updateColor(newColor: string): void;
    _setElementColor(color: string, isAdd: boolean): void;
}
